Show / Hide Table of Contents

# Class PartyFinderGui

##### Inheritance

System.Object
PartyFinderGui

##### Implements

System.IDisposable

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Game.Internal.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class PartyFinderGui : IDisposable

### Constructors

| Improve this Doc View Source

#### PartyFinderGui(SigScanner, Dalamud)

##### Declaration

    public PartyFinderGui(SigScanner scanner, Dalamud dalamud)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | scanner |
Dalamud | dalamud |

### Methods

| Improve this Doc View Source

#### Dispose()

##### Declaration

    public void Dispose()

| Improve this Doc View Source

#### Enable()

##### Declaration

    public void Enable()

### Events

| Improve this Doc View Source

#### ReceiveListing

Event fired each time the game receives an individual Party Finder listing. Cannot modify listings but can hide them.

##### Declaration

    public event PartyFinderGui.PartyFinderListingEventDelegate ReceiveListing

##### Event Type

Type | Description
--- | ---
PartyFinderGui.PartyFinderListingEventDelegate |

### Implements

System.IDisposable